summaryrefslogtreecommitdiff
path: root/hints
diff options
context:
space:
mode:
authorJarkko Hietaniemi <jhi@iki.fi>2002-08-30 01:22:51 +0300
committerhv <hv@crypt.org>2002-09-04 11:21:57 +0000
commit522b859adcc800ddbbe593fba580633bb305644f (patch)
tree27ac7ca00d33e07f829531d80821230b1f1a0bd7 /hints
parentc38ddbc4365cf58ed4e3957d38c67381b8f863be (diff)
downloadperl-522b859adcc800ddbbe593fba580633bb305644f.tar.gz
OS/400 PASE port
Message-ID: <20020829192251.GA27102@lyta.hut.fi> p4raw-id: //depot/perl@17827
Diffstat (limited to 'hints')
-rw-r--r--hints/aix.sh24
-rw-r--r--hints/os400.sh24
2 files changed, 48 insertions, 0 deletions
diff --git a/hints/aix.sh b/hints/aix.sh
index 231d3482b3..bee147965b 100644
--- a/hints/aix.sh
+++ b/hints/aix.sh
@@ -535,4 +535,28 @@ else
esac
fi
+case "$PASE" in
+define)
+ case "$prefix" in
+ '') prefix=/QOpenSys/perl ;;
+ esac
+ cat >&4 <<EOF
+
+***
+*** You seem to be compiling in AIX for the OS/400 PASE environment.
+*** I'm not going to use the AIX bind, nsl, and possible util libraries, then.
+*** I'm also not going to install perl as /usr/bin/perl.
+*** Perl will be installed under $prefix.
+*** For instructions how to install this build from AIX to PASE,
+*** see the file README.os400. Accept the "aix" for the question
+*** about "Operating system name".
+***
+EOF
+ set `echo " $libswanted " | sed -e 's@ bind @ @' -e 's@ nsl @ @' -e 's@ util @ @'`
+ shift
+ libswanted="$*"
+ installusrbinperl="$undef"
+ ;;
+esac
+
# EOF
diff --git a/hints/os400.sh b/hints/os400.sh
new file mode 100644
index 0000000000..16eec2fbe2
--- /dev/null
+++ b/hints/os400.sh
@@ -0,0 +1,24 @@
+#
+# We will just reuse the AIX hints since we support only building
+# for the PASE and the PASE hints are merged with the AIX hints.
+#
+
+case "$PASE" in
+'') cat >&4 <<EOF
+***
+*** This build process only works with the PASE environment (not ILE).
+*** You must supply the -DPASE parameter to the Configure script,
+*** please read the file README.os400. Exiting now.
+***
+EOF
+ exit 1
+ ;;
+*) cat >&4 <<EOF
+***
+*** Using the AIX hints file, $src/hints/aix.sh.
+***
+EOF
+ osname=aix
+ . $src/hints/aix.sh
+ ;;
+esac